curl --request GET \
--url 'https://api.elkapi.com/v1/video/generations/task_abc123' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.elkapi.com/v1/video/generations/task_abc123"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.elkapi.com/v1/video/generations/task_abc123", {
method: "GET",
headers: {
"Authorization": "Bearer <token>"
}
});
console.log(await response.json());
{
"code": "success",
"message": "",
"data": {
"task_id": "task_abc123",
"platform": "doubao-video",
"action": "generate",
"status": "SUCCESS",
"progress": "100%",
"result_url": "https://example.com/video.mp4",
"created_at": 1760000000,
"updated_at": 1760000060,
"data": {
"id": "upstream_task_id",
"status": "succeeded",
"content": {
"video_url": "https://example.com/video.mp4"
},
"usage": {
"completion_tokens": 123456,
"total_tokens": 123456
}
}
}
}
{
"error": {
"message": "task_not_exist",
"type": "new_api_error",
"param": "",
"code": "task_not_exist"
}
}
Seedance 형식
Seedance 비디오 작업 가져오기
- Seedance 비디오 생성 작업 상태를 조회합니다.
- 작업 완료 후 result_url에서 비디오 링크를 가져올 수 있습니다.
GET
/
v1
/
video
/
generations
/
{task_id}
curl --request GET \
--url 'https://api.elkapi.com/v1/video/generations/task_abc123' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.elkapi.com/v1/video/generations/task_abc123"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.elkapi.com/v1/video/generations/task_abc123", {
method: "GET",
headers: {
"Authorization": "Bearer <token>"
}
});
console.log(await response.json());
{
"code": "success",
"message": "",
"data": {
"task_id": "task_abc123",
"platform": "doubao-video",
"action": "generate",
"status": "SUCCESS",
"progress": "100%",
"result_url": "https://example.com/video.mp4",
"created_at": 1760000000,
"updated_at": 1760000060,
"data": {
"id": "upstream_task_id",
"status": "succeeded",
"content": {
"video_url": "https://example.com/video.mp4"
},
"usage": {
"completion_tokens": 123456,
"total_tokens": 123456
}
}
}
}
{
"error": {
"message": "task_not_exist",
"type": "new_api_error",
"param": "",
"code": "task_not_exist"
}
}
curl --request GET \
--url 'https://api.elkapi.com/v1/video/generations/task_abc123' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.elkapi.com/v1/video/generations/task_abc123"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.elkapi.com/v1/video/generations/task_abc123", {
method: "GET",
headers: {
"Authorization": "Bearer <token>"
}
});
console.log(await response.json());
{
"code": "success",
"message": "",
"data": {
"task_id": "task_abc123",
"platform": "doubao-video",
"action": "generate",
"status": "SUCCESS",
"progress": "100%",
"result_url": "https://example.com/video.mp4",
"created_at": 1760000000,
"updated_at": 1760000060,
"data": {
"id": "upstream_task_id",
"status": "succeeded",
"content": {
"video_url": "https://example.com/video.mp4"
},
"usage": {
"completion_tokens": 123456,
"total_tokens": 123456
}
}
}
}
{
"error": {
"message": "task_not_exist",
"type": "new_api_error",
"param": "",
"code": "task_not_exist"
}
}
Authorizations
string
필수
모든 엔드포인트는 Bearer Token 인증이 필요합니다.
Authorization: Bearer YOUR_API_KEY
Path Parameters
string
필수
작업 생성 엔드포인트가 반환한
id 또는 task_id입니다.Response
string
응답 상태입니다. 성공 시
success입니다.string
ElkAPI 공개 작업 ID입니다.
string
작업 플랫폼입니다. Seedance는 일반적으로
doubao-video입니다.string
내부 작업 상태입니다.일반 값:
SUBMITTED, QUEUED, IN_PROGRESS, SUCCESS, FAILUREstring
작업 진행률입니다.예시:
10%, 50%, 100%string
작업 성공 후 결과 비디오 URL입니다.
object
content.video_url, usage.total_tokens 등의 필드를 포함할 수 있는 원본 업스트림 작업 데이터입니다.⌘I